#pragma once

namespace VectorDB {

/**
 * @brief Data type of field
 */
enum class DataType {
    UNKNOWN = 0,

    BOOL = 1,
    INT8 = 2,
    INT16 = 3,
    INT32 = 4,
    INT64 = 5,

    FLOAT = 10,
    DOUBLE = 11,

    // STRING not available
    STRING = 20,
    VARCHAR = 21,
    ARRAY = 22,
    JSON = 23,

    BINARY_VECTOR = 100,
    FLOAT_VECTOR = 101,
    FLOAT16_VECTOR = 102,
    BFLOAT16_VECTOR = 103,
    SPARSE_FLOAT_VECTOR = 104,
};

}  // namespace VectorDB
